org.appng.xml.platform

## Class Message

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Message

- All Implemented Interfaces:
    Serializable

      public class Message
      extends BaseObject
      implements Serializable

  A single message
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MessageType` | `clazz`
    `protected String` | `code`
    `protected String` | `content`
    `protected String` | `ref`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageType` | `getClazz()` The type of the message.
    `String` | `getCode()` A code for this message.
    `String` | `getContent()` A single message
    `String` | `getRef()` The name of the `PageReference`/`Action`/`Datasource`/`FieldDef` this message is referring to.
    `void` | `setClazz(MessageType value)` Sets the value of the clazz property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setContent(String value)` Sets the value of the content property.
    `void` | `setRef(String value)` Sets the value of the ref property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected String content

    - #### ref

          protected String ref

    - #### clazz

          protected MessageType clazz

    - #### code

          protected String code

  - ### Constructor Detail

    - #### Message

          public Message()

  - ### Method Detail

    - #### getContent

          public String getContent()

      A single message
      Returns:
        possible object is `String`

    - #### setContent

          public void setContent(String value)

      Sets the value of the content property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRef

          public String getRef()

      The name of the `PageReference`/`Action`/`Datasource`/`FieldDef` this message is referring to.
      Returns:
        possible object is `String`

    - #### setRef

          public void setRef(String value)

      Sets the value of the ref property.
      Parameters:
        `value` - allowed object is `String`

    - #### getClazz

          public MessageType getClazz()

      The type of the message.
      Returns:
        possible object is `MessageType`

    - #### setClazz

          public void setClazz(MessageType value)

      Sets the value of the clazz property.
      Parameters:
        `value` - allowed object is `MessageType`

    - #### getCode

          public String getCode()

      A code for this message.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.